<?php

namespace EventPortal\Domain\Email\Observers;

use EventPortal\Domain\Email\Models\EventEmail;

class EventEmailObserver
{
    public function creating(EventEmail $email): void
    {
        $type = $email->type->getIndex();

        $email->subject = $email->subject ?? config("emails.templates.{$type}.subject");
        $email->reply_to_address = $email->reply_to_address ?? config("emails.reply_to_address");
    }
}
